import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FullCalendarComponent } from '@fullcalendar/angular';
import { Calendar, CalendarOptions } from '@fullcalendar/core';
import { IEvent } from './interfaces/IEvent';
import { ViewDateChangeEvent } from './models/viewDateChangeEvent';
import * as i0 from "@angular/core";
export declare class EqpCalendarComponent implements OnInit, AfterViewInit, OnChanges {
    eventList: Array<IEvent>;
    customStyle: any;
    initialView: string;
    firstDay: number;
    contentHeight: string;
    locale: string;
    monthButtonText: string;
    weekButtonText: string;
    dayButtonText: string;
    todayButtonText: string;
    listButtonText: string;
    headerToolbarStart: string;
    headerToolbarCenter: string;
    headerToolbarEnd: string;
    allDayText: string;
    eventOrder: Function;
    onViewDateChange: EventEmitter<ViewDateChangeEvent>;
    onDateClick: EventEmitter<Date>;
    onEventClick: EventEmitter<IEvent>;
    calendarOptions: CalendarOptions;
    calendarApi: Calendar;
    calendarComponent: FullCalendarComponent;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    configureCalendar(): void;
    viewDateChange(): void;
    dateClick(event: any): void;
    eventClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EqpCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EqpCalendarComponent, "eqp-calendar", never, { "eventList": "EventList"; "customStyle": "CustomStyle"; "initialView": "InitialView"; "firstDay": "FirstDay"; "contentHeight": "ContentHeight"; "locale": "Locale"; "monthButtonText": "MonthButtonText"; "weekButtonText": "WeekButtonText"; "dayButtonText": "DayButtonText"; "todayButtonText": "TodayButtonText"; "listButtonText": "ListButtonText"; "headerToolbarStart": "HeaderToolbarStart"; "headerToolbarCenter": "HeaderToolbarCenter"; "headerToolbarEnd": "HeaderToolbarEnd"; "allDayText": "AllDayText"; "eventOrder": "EventOrder"; }, { "onViewDateChange": "OnViewDateChange"; "onDateClick": "OnDateClick"; "onEventClick": "OnEventClick"; }, never, never, false, never>;
}
